Bug 1554662 (CVE-2018-7725) - CVE-2018-7725 zziplib: out of bound read in mmapped.c:zzip_disk_fread() causes crash
Summary: CVE-2018-7725 zziplib: out of bound read in mmapped.c:zzip_disk_fread() cause...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7725
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1554663 1555082 1558596
Blocks: 1554666
TreeView+ depends on / blocked
 
Reported: 2018-03-13 06:37 UTC by Sam Fowler
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: zziplib 0.13.69
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read was found in function zzip_disk_fread of ZZIPlib, up to 0.13.68, when ZZIPlib mem_disk functionality is used. Remote attackers could leverage this vulnerability to cause a denial of service via a crafted zip file.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:17:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3229 None None None 2018-10-30 07:52:03 UTC

Description Sam Fowler 2018-03-13 06:37:51 UTC
ZZIPlib through version 0.13.68 is vulnerable to an out of bound read in
mapped.c:zzip_disk_fread(). An attacker could exploit this via a crafted zip
file, opened with the ZZIPlib mem_disk functionality, causing a denial of
service or possibly leaking memory data.


Upstream Issue:
https://github.com/gdraheim/zziplib/issues/39

Upstream patches:
https://github.com/gdraheim/zziplib/commit/1ba660b3300d67b8ce9f6b96bbae0b36fa2d6b06

Comment 1 Sam Fowler 2018-03-13 06:38:13 UTC
Created zziplib tracking bugs for this issue:

Affects: fedora-all [bug 1554663]

Comment 3 Riccardo Schirone 2018-03-20 14:31:19 UTC
First vulnerable commit:
https://github.com/gdraheim/zziplib/commit/596d9dfce2624e849417d4301e8d67935608aa5e

Comment 6 errata-xmlrpc 2018-10-30 07:51:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3229 https://access.redhat.com/errata/RHSA-2018:3229


Note You need to log in before you can comment on or make changes to this bug.